Loading...
Searching...
No Matches
Content-Language Header
MIME Headers

The Content-Language header describes the natural language(s) of the intended audience for the enclosed message body. More...

## Macros

#define | MSG_CONTENT_LANGUAGE_INIT()
| Initializer for an msg_content_language_t structure.

## Typedefs

typedef msg_list_t | msg_content_language_t
| The structure msg_content_language_t contains representation of Content-Language header.

## Enumerations

enum | { msg_content_language_hash }

## Functions

msg_content_language_t * | msg_content_language_init (msg_content_language_t x[1])
| Initialize an msg_content_language_t structure.
int | msg_is_content_language (msg_header_t const *header)
| Test if header object is an instance of msg_content_language_t.
msg_content_language_t * | msg_content_language_dup (su_home_t *home, msg_content_language_t const *header)
| Duplicate (deep copy) msg_content_language_t.
msg_content_language_t * | msg_content_language_copy (su_home_t *home, msg_content_language_t const *header)
| Copy an msg_content_language_t header structure.
msg_content_language_t * | msg_content_language_make (su_home_t *home, char const *s)
| Make a header structure msg_content_language_t.
msg_content_language_t * | msg_content_language_format (su_home_t *home, char const *fmt,...)))
| Make a Content-Language header from formatting result.

## Variables

msg_parse_f | msg_content_language_d
| Parse a Content-Language header.
msg_print_f | msg_content_language_e
| Print a Content-Language header.
msg_hclass_t | msg_content_language_class []
| Header class for Content-Language header.

## Detailed Description

The Content-Language header describes the natural language(s) of the intended audience for the enclosed message body.

Note that this might not be equivalent to all the languages used within the message-body. Its syntax is defined in [H14.12, S20.13] as follows:

Content-Language = "Content-Language" ":" 1#language-tag

or

Content-Language = "Content-Language" HCOLON
language-tag *(COMMA language-tag)
language-tag = primary-tag *( "-" subtag )
primary-tag = 1*8ALPHA
subtag = 1*8ALPHA

## Macro Definition Documentation

## MSG_CONTENT_LANGUAGE_INIT

#define MSG_CONTENT_LANGUAGE_INIT | ( |  | ) |

Initializer for an msg_content_language_t structure.

A static msg_content_language_t structure must be initialized with the MSG_CONTENT_LANGUAGE_INIT() macro. For instance,

msg_content_language_t msg_content_language = MSG_CONTENT_LANGUAGE_INIT;
MSG_CONTENT_LANGUAGE_INIT
#define MSG_CONTENT_LANGUAGE_INIT()
Initializer for an msg_content_language_t structure.
Definition msg_mime_protos.h:1102
msg_content_language_t
msg_list_t msg_content_language_t
The structure msg_content_language_t contains representation of Content-Language header.
Definition msg_mime.h:66

## Typedef Documentation

## msg_content_language_t

typedef msg_list_t msg_content_language_t

The structure msg_content_language_t contains representation of Content-Language header.

The msg_content_language_t is defined as follows:

typedef struct {
msg_common_t k_common[1]; // Common fragment info
msg_content_language_t *k_next; // (Content-Encoding header)
msg_param_t *k_items; // List of languages
} msg_content_language_t;
msg_common_t
struct msg_common_s msg_common_t
Common part of header.
Definition msg_types.h:89

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
msg_content_language_hash | Hash of Content-Language header.

## Function Documentation

## msg_content_language_copy()

msg_content_language_t * msg_content_language_copy | ( | su_home_t * | home,
|  | msg_content_language_t const * | header )

inline

Copy an msg_content_language_t header structure.

The function msg_content_language_copy() copies a header structure header. If the header structure header contains a reference (`header->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure header.

Parameters

  home | memory home used to allocate new structure
  header | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  content_language = msg_content_language_copy(home, msg->msg_content_language);
  msg_content_language_copy
  msg_content_language_t * msg_content_language_copy(su_home_t *home, msg_content_language_t const *header)
  Copy an msg_content_language_t header structure.
  Definition msg_mime_protos.h:1231

Returns
  The function msg_content_language_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## msg_content_language_dup()

msg_content_language_t * msg_content_language_dup | ( | su_home_t * | home,
|  | msg_content_language_t const * | header )

inline

Duplicate (deep copy) msg_content_language_t.

The function msg_content_language_dup() duplicates a header structure header. If the header structure header contains a reference (`header->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  header | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  content_language = msg_content_language_dup(home, msg->msg_content_language);
  msg_content_language_dup
  msg_content_language_t * msg_content_language_dup(su_home_t *home, msg_content_language_t const *header)
  Duplicate (deep copy) msg_content_language_t.
  Definition msg_mime_protos.h:1186

Returns
  The function msg_content_language_dup() returns a pointer to the newly duplicated msg_content_language_t header structure, or NULL upon an error.

## msg_content_language_format()

msg_content_language_t * msg_content_language_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Content-Language header from formatting result.

The function msg_content_language_format() makes a new Content-Language header object using snprintf-formatted result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function may be implemented as a macro calling msg_header_format().

Returns
  The function msg_content_language_format() returns a pointer to newly makes header structure, or NULL upon an error.

## msg_content_language_init()

msg_content_language_t * msg_content_language_init | ( | msg_content_language_t | x[1] | ) |

inline

Initialize an msg_content_language_t structure.

An msg_content_language_t structure can be initialized with the msg_content_language_init() function/macro. For instance,

msg_content_language_t msg_content_language;
msg_content_language_init(&msg_content_language);
msg_content_language_init
msg_content_language_t * msg_content_language_init(msg_content_language_t x[1])
Initialize an msg_content_language_t structure.
Definition msg_mime_protos.h:1119

Parameters

  x | pointer to msg_content_language_t structure

## msg_content_language_make()

msg_content_language_t * msg_content_language_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure msg_content_language_t.

The function msg_content_language_make() makes a new msg_content_language_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function may be implemented as a macro calling msg_header_make().

Returns
  The function msg_content_language_make() returns a pointer to newly maked msg_content_language_t header structure, or NULL upon an error.

## msg_is_content_language()

int msg_is_content_language | ( | msg_header_t const * | header | ) |

inline

Test if header object is an instance of msg_content_language_t.

The function msg_is_content_language() returns true (nonzero) if the header class is an instance of Content-Language header object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function msg_is_content_language() returns true (nonzero) if the header object is an instance of header Content-Language header and false (zero) otherwise.

## Variable Documentation

## msg_content_language_class

msg_hclass_t msg_content_language_class[]

extern

Header class for Content-Language header.

The header class msg_content_language_class defines how a Content-Language header header is parsed and printed. It also contains methods used by message parser and other functions to manipulate the msg_content_language_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.